View Issue Details

IDProjectCategoryView StatusLast Update
0007193GNUnetnamestore servicepublic2022-09-28 07:08
Reporterschanzen Assigned Toschanzen  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionGit master 
Target Version0.17.7Fixed in Version0.17.7 
Summary0007193: Namestore should filter TOMBSTONE maintenance records
DescriptionWe currently return TOMBSTONE records to the caller.
This is necessary as zonemaster must calculate the expiration time of the block and take tombstones into account.
We should change the NAMESTORE API to return the calculated minimum expiration of the record set (=block expiration) to the caller and omit any maintenance records (tombstone).
TagsNo tags attached.

Activities

anonymous

2022-09-28 07:06

viewer   ~0019193

Fix committed to master branch.

Related Changesets

gnunet: master 3ec2b451

1970-01-01 02:00


Details Diff
NAMESTORE: Allow service-side record set filtering. Fixes 0007193 Affected Issues
0007193
mod - src/gnsrecord/gnsrecord_misc.c Diff File
mod - src/include/gnunet_gnsrecord_lib.h Diff File
mod - src/include/gnunet_namestore_service.h Diff File
mod - src/namestore/gnunet-service-namestore.c Diff File
mod - src/namestore/namestore.h Diff File
mod - src/namestore/namestore_api.c Diff File
mod - src/namestore/namestore_api_monitor.c Diff File
mod - src/zonemaster/gnunet-service-zonemaster-monitor.c Diff File
mod - src/zonemaster/gnunet-service-zonemaster.c Diff File

Issue History

Date Modified Username Field Change
2022-03-13 12:27 schanzen New Issue
2022-03-13 12:27 schanzen Assigned To => schanzen
2022-03-13 12:27 schanzen Status new => assigned
2022-08-29 14:39 schanzen Target Version => 0.18.0
2022-09-28 07:06 Changeset attached => gnunet master 3ec2b451
2022-09-28 07:06 anonymous Note Added: 0019193
2022-09-28 07:07 schanzen Fixed in Version => 0.17.7
2022-09-28 07:07 schanzen Target Version 0.18.0 => 0.17.7
2022-09-28 07:08 schanzen Status assigned => resolved
2022-09-28 07:08 schanzen Resolution open => fixed